Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	submarine simulation game
Name:		dangerdeep
Version:	0.3.0
Release:	3
License:	GNU/GPL 
URL:		http://dangerdeep.sourceforge.net/
Group:		Games/Simulation
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-data-%{version}.zip
Source2:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  fftw-devel
BuildRequires:  scons

%description
Danger from the deep (aka dangerdeep) is a Free / Open Source World War II german submarine simulation. It is currently available for Linux/i386 and Windows, but since it uses SDL/OpenGL it should be portable to other operating systems or platforms. 
This game is planned as tactical simulation and will be as realistic as our time and knowledge of physics allows. It's current state is ALPHA, but it is playable.

%prep
%setup -q -n %{name}-%{version}
unzip %{SOURCE1}

%build
# (tpg) parallel build
procs=`egrep -c ^cpu[0-9]+ /proc/stat ||:`
if [ "$procs" ="0"]; then
	procs=1
fi

scons -j$procs \
    installbindir=%{buildroot}%{_bindir} \
    installdatadir=%{buildroot}%{_datadir}/games \
    datadir=%{_datadir}/games/%{name} \
    usex86sse=1  

for i in 16 32 48; do
    convert -size ${i}x$i logo.xpm -resize ${i}x$i %{name}-${i}x$i.png
done

%install
rm -rf %{buildroot}
scons   installbindir=%{buildroot}%{_bindir} \
        installdatadir=%{buildroot}%{_datadir}/games \
        datadir=%{_datadir}/games/%{name} \
        install
# man
install -dm 755 %{buildroot}%{_mandir}/man6
install -m 655 doc/man/%{name}.6 %{buildroot}%{_mandir}/man6

# desktop integration
install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/applications 

# icon
install -d -m 755 %{buildroot}/%{_datadir}/icons/hicolor/16x16
install -d -m 755 %{buildroot}/%{_datadir}/icons/hicolor/32x32
install -d -m 755 %{buildroot}/%{_datadir}/icons/hicolor/48x48
install -m 644 %{name}-16x16.png %{buildroot}/%{_datadir}/icons/hicolor/16x16/%{name}.png
install -m 644 %{name}-32x32.png %{buildroot}/%{_datadir}/icons/hicolor/32x32/%{name}.png
install -m 644 %{name}-48x48.png %{buildroot}/%{_datadir}/icons/hicolor/48x48/%{name}.png

# install game data
pushd data
  install -d -m 755 %{buildroot}%{_datadir}/games/dangerdeep
cp -r convoys \
    objects \
    environment \
    shaders \
    fonts \
    sounds \
    images \
    texts \
    maps \
    textures \
    missions \
    models \
    %{buildroot}%{_datadir}/games/dangerdeep
popd

%files
%defattr(-,root,root)
%_bindir
%_datadir/games
%_datadir/applications
%_datadir/icons
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 0.3.0-3
- rebuild, group correction to Games/Simulation
* Sat Jan 26 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.0-2
- rebuild against gcc 4.1.2
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0-1
- Version update
* Fri Oct 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-1
- Initial Release
